Bug 444754 - dual monitor mode causes a maximized application windows to map on one monitor and then get displayed on the othe
dual monitor mode causes a maximized application windows to map on one monito...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: metacity (Show other bugs)
9
All Linux
low Severity low
: ---
: ---
Assigned To: Søren Sandmann Pedersen
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-04-30 10:18 EDT by John (J5) Palmieri
Modified: 2014-06-18 05:10 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-14 12:26:59 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description John (J5) Palmieri 2008-04-30 10:18:37 EDT
Description of problem:

In dual monitor mode with an application open on the window with the gnome panel
if I launch firefox maximized the window first gets mapped to the monitor with
the gnome panel on it and then quickly gets moved to the 2nd monitor causing a
flash.  If I un-maximize it, it jumps back to the 1st monitor.

How reproducible:

Sometimes I need to open firefox and then close it and then open it again. 
Sometime it happens all the time.  It must be maximized when closing.

Steps to Reproduce:
1. Start firefox and maximize it
2. close firefox
3. Start it again
4. Try minimizing it for further confusion 
  
Actual results:

Window jumps from monitor to monitor

Expected results:

Window opens up and stays on one monitor.


Additional info:
Comment 1 John (J5) Palmieri 2008-05-05 10:58:43 EDT
This just happened to evolution also.  Start evolution which was previously
maximized when closed.  On startup the window flashes on the monitor with the
panel and then jumps to the other monitor. Unmaximizing it causes it to jump to
the first monitor.
Comment 2 Bug Zapper 2008-05-14 06:25:45 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Ted Percival 2008-06-24 01:28:24 EDT
Upstream bug report:
http://bugzilla.gnome.org/show_bug.cgi?id=504692
Comment 4 Bug Zapper 2009-06-09 20:32:24 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Bug Zapper 2009-07-14 12:26:59 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.